>From 0674759ef76eea93a634036b2a0aa2754b164c2d Mon Sep 17 00:00:00 2001
From: Carlos Maddela <maddela@labyrinth.net.au>
Date: Sat, 18 Jul 2015 07:47:09 +1000
Subject: [PATCH] Fix misleading apt-get error message, when invalid operation
 given.

Bug: http://bugs.debian.org/782559
---
 cmdline/apt-get.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/cmdline/apt-get.cc b/cmdline/apt-get.cc
index a285377..cb97193 100644
--- a/cmdline/apt-get.cc
+++ b/cmdline/apt-get.cc
@@ -1702,7 +1702,12 @@ int main(int argc,const char *argv[])					/*{{{*/
 				   {"help",&ShowHelp},
                                    {0,0}};
 
-   std::vector<CommandLine::Args> Args = getCommandArgs("apt-get", CommandLine::GetCommand(Cmds, argc, argv));
+   const char *Cmd = CommandLine::GetCommand(Cmds, argc, argv);
+   // If no valid command is found, pass empty string instead so
+   // that parsing for apt-get can still be done.
+   if (Cmd == NULL)
+      Cmd = "";
+   std::vector<CommandLine::Args> Args = getCommandArgs("apt-get", Cmd);
 
    // Set up gettext support
    setlocale(LC_ALL,"");
-- 
2.1.4

